FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > ArchLinux > ArchLinux Development

 
 
LinkBack Thread Tools
 
Old 07-21-2008, 08:56 PM
Thomas Bächler
 
Default kernel26 2.6.26-1 and related module packages

So this is it, 2.6.26 is going to testing. I adjusted the configuration
according to http://bugs.archlinux.org/task/10512 and changed the
maximum number of CPUs to 16. I hope I didn't miss any configuration
bugs, if so, please tell me. Except some driver updates, there is
nothing too exciting here. Just a few remarks:


Kernel stuff:
- uvesafb needs the new v86d from testing now (old one segfaults)
- bcm43xx has been removed, all users must switch to b43 or b43legacy
and use b43-fwcutter for firmware extraction. I am removing
bcm43xx-fwcutter from core, as it is obsolete.
- Someone should test squashfs, unionfs and aufs and report if they work
(Simo?)


If there is more, please tell me

Module packages:
- I patched catalyst with a weird patch to make it work, please anyone
test and report!
- intel-536ep and intel-537 don't compile. I didn't look closely yet,
and frankly, I doubt they have much users. Do we really want to maintain
them?
- lirc is broken, maybe an update to 0.8.3 will fix it. Can the
maintainer take care of this? I don't know when I'll get to it.
- madwifi is broken. Do we still need it? AFAIK, all chipsets should now
be supported by ath5k by now. Can a madwifi user please look at this
(Aaron, Dan?)
- martian is broken again. A user sent me patches last time, I have to
look for his email address, maybe he fixes it again (user whose name I
forgot, if you are reading this, please contact me).

- I didn't try openswan-klips, any updates here? (tomk?)
- wlan-ng26 is broken and I'd like to drop it, as I doubt anybody uses it.
- I updated nvidia-71xx and nvidia-96xx to new upstream release for
2.6.26 compatibility.


i686 is untested, so I need at least two signoffs. x86_64 works fine.
 

Thread Tools




All times are GMT. The time now is 02:51 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org